- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create
  - SetName
  - ValidateName STRING
  - Delete
  - Load IDENTIFIER
  - LoadCondition HASH
  - Describe
  - IsApplicable
  - id
  - Name
  - SetName VALUE
  - Description
  - SetDescription VALUE
  - ExecModule
  - SetExecModule VALUE
  - Argument
  - SetArgument VALUE
  - ApplicableTransTypes
  - SetApplicableTransTypes VALUE
  - Creator
  - Created
  - LastUpdatedBy
  - LastUpdated

# NAME

      RT::ScripCondition - RT scrip conditional

# SYNOPSIS

      use RT::ScripCondition;

# DESCRIPTION

This module should never be called directly by client code. it's an internal module which should only be accessed through exported APIs in other modules.

# METHODS

## Create

      Takes a hash. Creates a new Condition entry.
      should be better documented.

## SetName

Check to make sure name is not already in use

## ValidateName STRING

Returns either (0, "failure reason") or 1 depending on whether the given name is valid.

## Delete

No API available for deleting things just yet.

## Load IDENTIFIER

Loads a condition takes a name or ScripCondition id.

## LoadCondition HASH

takes a hash which has the following elements: TransactionObj and TicketObj. Loads the Condition module in question.

## Describe

Helper method to call the condition module's Describe method.

## IsApplicable

Helper method to call the condition module's IsApplicable method.

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## Name

Returns the current value of Name. (In the database, Name is stored as varchar(200).)

## SetName VALUE

Set Name to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Name will be stored as a varchar(200).)

## Description

Returns the current value of Description. (In the database, Description is stored as varchar(255).)

## SetDescription VALUE

Set Description to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Description will be stored as a varchar(255).)

## ExecModule

Returns the current value of ExecModule. (In the database, ExecModule is stored as varchar(60).)

## SetExecModule VALUE

Set ExecModule to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ExecModule will be stored as a varchar(60).)

## Argument

Returns the current value of Argument. (In the database, Argument is stored as varbinary(255).)

## SetArgument VALUE

Set Argument to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Argument will be stored as a varbinary(255).)

## ApplicableTransTypes

Returns the current value of ApplicableTransTypes. (In the database, ApplicableTransTypes is stored as varchar(60).)

## SetApplicableTransTypes VALUE

Set ApplicableTransTypes to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ApplicableTransTypes will be stored as a varchar(60).)

## Creator

Returns the current value of Creator. (In the database, Creator is stored as int(11).)

## Created

Returns the current value of Created. (In the database, Created is stored as datetime.)

## LastUpdatedBy

Returns the current value of LastUpdatedBy. (In the database, LastUpdatedBy is stored as int(11).)

## LastUpdated

Returns the current value of LastUpdated. (In the database, LastUpdated is stored as datetime.)

← Back to index